/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebColumnDescription = /*@__PURE__*/ (() => {
    class WebColumnDescription extends Description {
        constructor() {
            super();
            this.bv = null;
            this.by = null;
            this.b8 = null;
            this.ad = false;
            this.ab = false;
            this.u = false;
            this.q = false;
            this.s = false;
            this.z = false;
            this.m = false;
            this.v = false;
            this.w = false;
            this.ac = false;
            this.o = false;
            this.p = false;
            this.x = false;
            this.b9 = null;
            this.a2 = 0;
            this.b3 = null;
            this.bz = null;
            this.bg = null;
            this.b0 = null;
            this.bf = null;
            this.bq = null;
            this.br = null;
            this.t = false;
            this.ae = false;
            this.aa = false;
            this.bs = null;
            this.a6 = 0;
            this.a4 = 0;
            this.a7 = 0;
            this.a5 = 0;
            this.be = null;
            this.a3 = 0;
            this.b4 = null;
            this.y = false;
            this.bi = null;
            this.h = null;
            this.j = null;
            this.b7 = null;
            this.bp = null;
            this.b1 = null;
            this.b2 = null;
            this.bu = null;
            this.bw = null;
            this.af = false;
            this.f = null;
            this.n = false;
            this.r = false;
            this.bt = null;
            this.ag = false;
            this.bh = null;
            this.b5 = null;
            this.bx = null;
            this.b6 = null;
        }
        get_type() {
            return "WebColumn";
        }
        get type() {
            return this.get_type();
        }
        get field() {
            return this.bv;
        }
        set field(a) {
            this.bv = a;
            this.e("Field");
        }
        get header() {
            return this.by;
        }
        set header(a) {
            this.by = a;
            this.e("Header");
        }
        get title() {
            return this.b8;
        }
        set title(a) {
            this.b8 = a;
            this.e("Title");
        }
        get sortable() {
            return this.ad;
        }
        set sortable(a) {
            this.ad = a;
            this.e("Sortable");
        }
        get selectable() {
            return this.ab;
        }
        set selectable(a) {
            this.ab = a;
            this.e("Selectable");
        }
        get groupable() {
            return this.u;
        }
        set groupable(a) {
            this.u = a;
            this.e("Groupable");
        }
        get editable() {
            return this.q;
        }
        set editable(a) {
            this.q = a;
            this.e("Editable");
        }
        get filterable() {
            return this.s;
        }
        set filterable(a) {
            this.s = a;
            this.e("Filterable");
        }
        get resizable() {
            return this.z;
        }
        set resizable(a) {
            this.z = a;
            this.e("Resizable");
        }
        get autosizeHeader() {
            return this.m;
        }
        set autosizeHeader(a) {
            this.m = a;
            this.e("AutosizeHeader");
        }
        get hasSummary() {
            return this.v;
        }
        set hasSummary(a) {
            this.v = a;
            this.e("HasSummary");
        }
        get hidden() {
            return this.w;
        }
        set hidden(a) {
            this.w = a;
            this.e("Hidden");
        }
        get selected() {
            return this.ac;
        }
        set selected(a) {
            this.ac = a;
            this.e("Selected");
        }
        get disableHiding() {
            return this.o;
        }
        set disableHiding(a) {
            this.o = a;
            this.e("DisableHiding");
        }
        get disablePinning() {
            return this.p;
        }
        set disablePinning(a) {
            this.p = a;
            this.e("DisablePinning");
        }
        get movable() {
            return this.x;
        }
        set movable(a) {
            this.x = a;
            this.e("Movable");
        }
        get width() {
            return this.b9;
        }
        set width(a) {
            this.b9 = a;
            this.e("Width");
        }
        get autoSize() {
            return this.a2;
        }
        set autoSize(a) {
            this.a2 = a;
            this.e("AutoSize");
        }
        get maxWidth() {
            return this.b3;
        }
        set maxWidth(a) {
            this.b3 = a;
            this.e("MaxWidth");
        }
        get headerClasses() {
            return this.bz;
        }
        set headerClasses(a) {
            this.bz = a;
            this.e("HeaderClasses");
        }
        get headerStyles() {
            return this.bg;
        }
        set headerStyles(a) {
            this.bg = a;
            this.e("HeaderStyles");
        }
        get headerGroupClasses() {
            return this.b0;
        }
        set headerGroupClasses(a) {
            this.b0 = a;
            this.e("HeaderGroupClasses");
        }
        get headerGroupStyles() {
            return this.bf;
        }
        set headerGroupStyles(a) {
            this.bf = a;
            this.e("HeaderGroupStyles");
        }
        get cellClassesRef() {
            return this.bq;
        }
        set cellClassesRef(a) {
            this.bq = a;
            this.e("CellClassesRef");
        }
        get cellStylesRef() {
            return this.br;
        }
        set cellStylesRef(a) {
            this.br = a;
            this.e("CellStylesRef");
        }
        get filteringIgnoreCase() {
            return this.t;
        }
        set filteringIgnoreCase(a) {
            this.t = a;
            this.e("FilteringIgnoreCase");
        }
        get sortingIgnoreCase() {
            return this.ae;
        }
        set sortingIgnoreCase(a) {
            this.ae = a;
            this.e("SortingIgnoreCase");
        }
        get searchable() {
            return this.aa;
        }
        set searchable(a) {
            this.aa = a;
            this.e("Searchable");
        }
        get dataType() {
            return this.bs;
        }
        set dataType(a) {
            this.bs = a;
            this.e("DataType");
        }
        get rowEnd() {
            return this.a6;
        }
        set rowEnd(a) {
            this.a6 = a;
            this.e("RowEnd");
        }
        get colEnd() {
            return this.a4;
        }
        set colEnd(a) {
            this.a4 = a;
            this.e("ColEnd");
        }
        get rowStart() {
            return this.a7;
        }
        set rowStart(a) {
            this.a7 = a;
            this.e("RowStart");
        }
        get colStart() {
            return this.a5;
        }
        set colStart(a) {
            this.a5 = a;
            this.e("ColStart");
        }
        get additionalTemplateContext() {
            return this.be;
        }
        set additionalTemplateContext(a) {
            this.be = a;
            this.e("AdditionalTemplateContext");
        }
        get calcPixelWidth() {
            return this.a3;
        }
        set calcPixelWidth(a) {
            this.a3 = a;
            this.e("CalcPixelWidth");
        }
        get minWidth() {
            return this.b4;
        }
        set minWidth(a) {
            this.b4 = a;
            this.e("MinWidth");
        }
        get pinned() {
            return this.y;
        }
        set pinned(a) {
            this.y = a;
            this.e("Pinned");
        }
        get summaries() {
            return this.bi;
        }
        set summaries(a) {
            this.bi = a;
            this.e("Summaries");
        }
        get filters() {
            return this.h;
        }
        set filters(a) {
            this.h = a;
            this.e("Filters");
        }
        get sortStrategy() {
            return this.j;
        }
        set sortStrategy(a) {
            this.j = a;
            this.e("SortStrategy");
        }
        get summaryTemplateRef() {
            return this.b7;
        }
        set summaryTemplateRef(a) {
            this.b7 = a;
            this.e("SummaryTemplateRef");
        }
        get bodyTemplateRef() {
            return this.bp;
        }
        set bodyTemplateRef(a) {
            this.bp = a;
            this.e("BodyTemplateRef");
        }
        get headerTemplateRef() {
            return this.b1;
        }
        set headerTemplateRef(a) {
            this.b1 = a;
            this.e("HeaderTemplateRef");
        }
        get inlineEditorTemplateRef() {
            return this.b2;
        }
        set inlineEditorTemplateRef(a) {
            this.b2 = a;
            this.e("InlineEditorTemplateRef");
        }
        get errorTemplateRef() {
            return this.bu;
        }
        set errorTemplateRef(a) {
            this.bu = a;
            this.e("ErrorTemplateRef");
        }
        get filterCellTemplateRef() {
            return this.bw;
        }
        set filterCellTemplateRef(a) {
            this.bw = a;
            this.e("FilterCellTemplateRef");
        }
        get visibleWhenCollapsed() {
            return this.af;
        }
        set visibleWhenCollapsed(a) {
            this.af = a;
            this.e("VisibleWhenCollapsed");
        }
        get pipeArgs() {
            return this.f;
        }
        set pipeArgs(a) {
            this.f = a;
            this.e("PipeArgs");
        }
        get collapsible() {
            return this.n;
        }
        set collapsible(a) {
            this.n = a;
            this.e("Collapsible");
        }
        get expanded() {
            return this.r;
        }
        set expanded(a) {
            this.r = a;
            this.e("Expanded");
        }
        get defaultWidth() {
            return this.bt;
        }
        set defaultWidth(a) {
            this.bt = a;
            this.e("DefaultWidth");
        }
        get widthSetByUser() {
            return this.ag;
        }
        set widthSetByUser(a) {
            this.ag = a;
            this.e("WidthSetByUser");
        }
        get parentColumn() {
            return this.bh;
        }
        set parentColumn(a) {
            this.bh = a;
            this.e("ParentColumn");
        }
        get name() {
            return this.b5;
        }
        set name(a) {
            this.b5 = a;
            this.e("Name");
        }
        get formatterRef() {
            return this.bx;
        }
        set formatterRef(a) {
            this.bx = a;
            this.e("FormatterRef");
        }
        get summaryFormatterRef() {
            return this.b6;
        }
        set summaryFormatterRef(a) {
            this.b6 = a;
            this.e("SummaryFormatterRef");
        }
    }
    WebColumnDescription.$t = /*@__PURE__*/ markType(WebColumnDescription, 'WebColumnDescription', Description.$);
    WebColumnDescription.__canMarshalByValue = true;
    WebColumnDescription.__marshalByValueAlias = "Column";
    return WebColumnDescription;
})();
